// File created by PovEdge v1.03 		  Thibaut Jonckheere 2007 
// Declarations of the parameters for the Edge Macro, for the different meshes found
// Include this file in your pov file


// To fit your scene properties, you can declare these parameters in your main Pov file with adapted values 
#ifndef(EdScale) 
#declare EdScale = 1;     // Scale for the silhouette edge width 
#end 
#ifndef(EdNScale) 
#declare EdNScale = 1;     // Scale for the crease edge width 
#end 
#ifndef(EdThresh) 
#declare EdThresh = 0.6;    //threshold for the crease edges (0 = no crease edge, 1 = all edges of the mesh are drawn) 
#end 
#ifndef(EdBorder) 
#declare EdBorder =	1;    //Declare EdBorder to 0 if you want to remove the edges drawn at the borders of the meshes (e.g. the border of a hole)  
#end 

 //We include the macro file
#include "C:\\Reuben\\Lego\\645_Helicopter\\colouring\\EdgeMesh02.inc " 


 //-------------------------------------------------------------------------------------------------------------

#declare MeshFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_253__mesh.inc"; 
#declare EdgeFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_253__edge.inc"; 
#declare Edge_helicopter_ACAD_color_253_ = sphere{0,1} 
#declare EdgeNorm_helicopter_ACAD_color_253_ = sphere{0,1} 
#declare Normthresh = EdThresh; 
#declare Cylrad = 0.003 * EdScale; 
#declare Cylrad2 = 0.002 * EdNScale; 
#declare Cyltex = texture{pigment{rgb 0.} finish{diffuse 0 ambient 1} } 

//#declare PdV1=PdV ;  
EdgeMesh01(MeshFile,EdgeFile,Edge_helicopter_ACAD_color_253_,EdgeNorm_helicopter_ACAD_color_253_,Normthresh,Cylrad,Cylrad2,Cyltex,PdV1) 


 //-------------------------------------------------------------------------------------------------------------

#declare MeshFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_7__mesh.inc"; 
#declare EdgeFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_7__edge.inc"; 
#declare Edge_helicopter_ACAD_color_7_ = sphere{0,1} 
#declare EdgeNorm_helicopter_ACAD_color_7_ = sphere{0,1} 
#declare Normthresh = EdThresh; 
#declare Cylrad = 0.003 * EdScale; 
#declare Cylrad2 = 0.002 * EdNScale; 
#declare Cyltex = texture{pigment{rgb 0.} finish{diffuse 0 ambient 1} } 

//#declare PdV1=PdV ;  
EdgeMesh01(MeshFile,EdgeFile,Edge_helicopter_ACAD_color_7_,EdgeNorm_helicopter_ACAD_color_7_,Normthresh,Cylrad,Cylrad2,Cyltex,PdV1) 


 //-------------------------------------------------------------------------------------------------------------

#declare MeshFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_250__mesh.inc"; 
#declare EdgeFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_250__edge.inc"; 
#declare Edge_helicopter_ACAD_color_250_ = sphere{0,1} 
#declare EdgeNorm_helicopter_ACAD_color_250_ = sphere{0,1} 
#declare Normthresh = EdThresh; 
#declare Cylrad = 0.003 * EdScale; 
#declare Cylrad2 = 0.002 * EdNScale; 
#declare Cyltex = texture{pigment{rgb 0.} finish{diffuse 0 ambient 1} } 

//#declare PdV1=PdV ;  
EdgeMesh01(MeshFile,EdgeFile,Edge_helicopter_ACAD_color_250_,EdgeNorm_helicopter_ACAD_color_250_,Normthresh,Cylrad,Cylrad2,Cyltex,PdV1) 


 //-------------------------------------------------------------------------------------------------------------

#declare MeshFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_47__mesh.inc"; 
#declare EdgeFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_47__edge.inc"; 
#declare Edge_helicopter_ACAD_color_47_ = sphere{0,1} 
#declare EdgeNorm_helicopter_ACAD_color_47_ = sphere{0,1} 
#declare Normthresh = EdThresh; 
#declare Cylrad = 0.003 * EdScale; 
#declare Cylrad2 = 0.002 * EdNScale; 
#declare Cyltex = texture{pigment{rgb 0.} finish{diffuse 0 ambient 1} } 

//#declare PdV1=PdV ;  
EdgeMesh01(MeshFile,EdgeFile,Edge_helicopter_ACAD_color_47_,EdgeNorm_helicopter_ACAD_color_47_,Normthresh,Cylrad,Cylrad2,Cyltex,PdV1) 


 //-------------------------------------------------------------------------------------------------------------

#declare MeshFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_1__mesh.inc"; 
#declare EdgeFile="C:\\Reuben\\Lego\\645_Helicopter\\colouring\\helicopter_ACAD_color_1__edge.inc"; 
#declare Edge_helicopter_ACAD_color_1_ = sphere{0,1} 
#declare EdgeNorm_helicopter_ACAD_color_1_ = sphere{0,1} 
#declare Normthresh = EdThresh; 
#declare Cylrad = 0.003 * EdScale; 
#declare Cylrad2 = 0.002 * EdNScale; 
#declare Cyltex = texture{pigment{rgb 0.} finish{diffuse 0 ambient 1} } 

//#declare PdV1=PdV ;  
EdgeMesh01(MeshFile,EdgeFile,Edge_helicopter_ACAD_color_1_,EdgeNorm_helicopter_ACAD_color_1_,Normthresh,Cylrad,Cylrad2,Cyltex,PdV1) 


 //-------------------------------------------------------------------------------------------------------------


 #declare Edges_helicopter_POV_geom = union { 
	 object{Edge_helicopter_ACAD_color_253_ }
	 object{EdgeNorm_helicopter_ACAD_color_253_} 
	 object{Edge_helicopter_ACAD_color_7_ }
	 object{EdgeNorm_helicopter_ACAD_color_7_} 
	 object{Edge_helicopter_ACAD_color_250_ }
	 object{EdgeNorm_helicopter_ACAD_color_250_} 
	 object{Edge_helicopter_ACAD_color_47_ }
	 object{EdgeNorm_helicopter_ACAD_color_47_} 
	 object{Edge_helicopter_ACAD_color_1_ }
	 object{EdgeNorm_helicopter_ACAD_color_1_} 
} 
